WARNING: CPU: 1 PID: 1253 at /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_display.c:9237 intel_modeset_check_state+0x62d/0x780 [i915]

Bug #1406982 reported by Gurvinder Dadyala on 2015-01-01
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Hi there, I am also facing the same issue. I have Dell Inspiron 1525 running 14.04.1 LTS and kernel version 3.13.0-43-generic.
System becomes unusable completly and screen goes off as well. Following is what i have found in dmesg

[ 144.446687] WARNING: CPU: 1 PID: 1253 at /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_display.c:9237 intel_modeset_check_state+0x62d/0x780 [i915]()
[ 144.446690] encoder's hw state doesn't match sw tracking (expected 0, found 1)
[ 144.446691] Modules linked in: cdc_ether usbnet mii usb_storage ctr ccm bnep rfcomm bluetooth snd_hda_codec_idt snd_hda_codec_hdmi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev gpio_ich dell_wmi sparse_keymap dell_laptop dcdbas snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_seq_midi snd_seq_midi_event dm_multipath scsi_dh snd_rawmidi coretemp snd_seq joydev serio_raw arc4 r852 sm_common nand nand_ecc nand_bch bch r592 nand_ids mtd memstick iwl3945 snd_seq_device iwlegacy mac80211 snd_timer snd cfg80211 lpc_ich i915 drm_kms_helper soundcore drm i2c_algo_bit mac_hid wmi video parport_pc ppdev lp parport hid_generic usbhid hid firewire_ohci psmouse sdhci_pci sdhci ahci firewire_core libahci crc_itu_t sky2
[ 144.446750] CPU: 1 PID: 1253 Comm: Xorg Tainted: G W 3.13.0-43-generic #72-Ubuntu
[ 144.446753] Hardware name: Dell Inc. Inspiron 1525 /0WP007, BIOS A17 10/27/2009
[ 144.446755] 0000000000000009 ffff8800aaaf99f8 ffffffff81720bf6 ffff8800aaaf9a40
[ 144.446759] ffff8800aaaf9a30 ffffffff810677cd ffff8800aaaf9ab0 0000000000000001
[ 144.446763] ffff880036621800 ffff880036621af8 ffff8800b6cc4800 ffff8800aaaf9a90
[ 144.446767] Call Trace:
[ 144.446770] [<ffffffff81720bf6>] dump_stack+0x45/0x56
[ 144.446774] [<ffffffff810677cd>] warn_slowpath_common+0x7d/0xa0
[ 144.446778] [<ffffffff8106783c>] warn_slowpath_fmt+0x4c/0x50
[ 144.446802] [<ffffffffa01ad285>] ? intel_sdvo_get_hw_state+0x55/0xc0 [i915]
[ 144.446823] [<ffffffffa019751d>] intel_modeset_check_state+0x62d/0x780 [i915]
[ 144.446846] [<ffffffffa0197705>] intel_set_mode+0x25/0x30 [i915]
[ 144.446867] [<ffffffffa01977d6>] intel_release_load_detect_pipe+0xc6/0xf0 [i915]
[ 144.446892] [<ffffffffa01bf8e9>] intel_tv_detect+0x359/0x500 [i915]
[ 144.446901] [<ffffffffa00dc25b>] drm_helper_probe_single_connector_modes+0x1eb/0x380 [drm_kms_helper]
[ 144.446918] [<ffffffffa011e617>] drm_mode_getconnector+0x417/0x480 [drm]
[ 144.446923] [<ffffffff8108eb62>] ? __hrtimer_start_range_ns+0x1a2/0x3a0
[ 144.446936] [<ffffffffa010fc22>] drm_ioctl+0x502/0x630 [drm]
[ 144.446942] [<ffffffff81077f42>] ? __set_task_blocked+0x32/0x70
[ 144.446948] [<ffffffff811d0e90>] do_vfs_ioctl+0x2e0/0x4c0
[ 144.446952] [<ffffffff811d10f1>] SyS_ioctl+0x81/0xa0
[ 144.446956] [<ffffffff817316ad>] system_call_fastpath+0x1a/0x1f
[ 144.446958] ---[ end trace ccc7cdf9d70214e2 ]---
[ 402.128351] perf samples too long (2503 > 2500), lowering kernel.perf_event_max_sample_rate to 50000

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-43-generic 3.13.0-43.72
ProcVersionSignature: Ubuntu 3.13.0-43.72-generic 3.13.11.11
Uname: Linux 3.13.0-43-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gurvinder 2023 F.... pulseaudio
                      gurvinder 3161 F.... pulseaudio
CurrentDesktop: Unity
Date: Fri Jan 2 01:27:54 2015
HibernationDevice: RESUME=UUID=398088de-7b7e-4d91-adb0-4d5b4cb8d963
InstallationDate: Installed on 2014-11-22 (40 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Dell Inc. Inspiron 1525
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-43-generic root=UUID=6dc40c4b-5124-4216-a79f-44b870f54651 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-43-generic N/A
 linux-backports-modules-3.13.0-43-generic N/A
 linux-firmware 1.127.10
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/27/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A17
dmi.board.name: 0WP007
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA17:bd10/27/2009:svnDellInc.:pnInspiron1525:pvr:rvnDellInc.:rn0WP007:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1525
dmi.sys.vendor: Dell Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Gurvinder Dadyala, thank you for reporting this and helping make Ubuntu better. Could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested exactly shown as:
kernel-fixed-upstream-3.19-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-a17
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Gurvinder Dadyala (gurvinder) wrote :

Kernel 3.18.1-031801-generic from mainline seems to have fixed the issue, System did not crash or screen display did not go off while playing videos.

Regards Gurvinder

tags: added: kernel-fixed-upstream kernel-fixed-upstream-3.18.1-031801-generic

Gurvinder Dadyala, the next step is to fully reverse commit bisect from kernel 3.13 to 3.18.1 in order to identify the last bad commit, followed immediately by the first good one. Once this commit has been identified, then it may be reviewed as a candidate for backporting into your release. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: kernel-fixed-upstream-3.18.1
removed: kernel-fixed-upstream-3.18.1-031801-generic
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream stable kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.13 stable kernel[0].

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11-ckt13-trusty/

tags: added: needs-bisect
tags: added: kernel-da-key
Owen Williams (ywwg) wrote :

Also seeing this problem on a Dell XPS 13. Newest mainline kernel (3.19-rc2) also fixes the issue. I'll test the 3.13 kernel next

Download full text (5.7 KiB)

Sure I will check and post back.
On Jan 6, 2015 12:35 AM, "Joseph Salisbury" <email address hidden>
wrote:

> Would it be possible for you to test the latest upstream stable kernel?
> Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the
> latest v3.13 stable kernel[0].
>
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11-ckt13-trusty/
>
> ** Tags added: needs-bisect
>
> ** Tags added: kernel-da-key
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1406982
>
> Title:
> WARNING: CPU: 1 PID: 1253 at
> /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_display.c:9237
> intel_modeset_check_state+0x62d/0x780 [i915]
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Hi there, I am also facing the same issue. I have Dell Inspiron 1525
> running 14.04.1 LTS and kernel version 3.13.0-43-generic.
> System becomes unusable completly and screen goes off as well. Following
> is what i have found in dmesg
>
> [ 144.446687] WARNING: CPU: 1 PID: 1253 at
> /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_display.c:9237
> intel_modeset_check_state+0x62d/0x780 [i915]()
> [ 144.446690] encoder's hw state doesn't match sw tracking (expected 0,
> found 1)
> [ 144.446691] Modules linked in: cdc_ether usbnet mii usb_storage ctr
> ccm bnep rfcomm bluetooth snd_hda_codec_idt snd_hda_codec_hdmi uvcvideo
> videobuf2_vmalloc videobuf2_memops videobuf2_core videodev gpio_ich
> dell_wmi sparse_keymap dell_laptop dcdbas snd_hda_intel snd_hda_codec
> snd_hwdep snd_pcm snd_page_alloc snd_seq_midi snd_seq_midi_event
> dm_multipath scsi_dh snd_rawmidi coretemp snd_seq joydev serio_raw arc4
> r852 sm_common nand nand_ecc nand_bch bch r592 nand_ids mtd memstick
> iwl3945 snd_seq_device iwlegacy mac80211 snd_timer snd cfg80211 lpc_ich
> i915 drm_kms_helper soundcore drm i2c_algo_bit mac_hid wmi video parport_pc
> ppdev lp parport hid_generic usbhid hid firewire_ohci psmouse sdhci_pci
> sdhci ahci firewire_core libahci crc_itu_t sky2
> [ 144.446750] CPU: 1 PID: 1253 Comm: Xorg Tainted: G W
> 3.13.0-43-generic #72-Ubuntu
> [ 144.446753] Hardware name: Dell Inc. Inspiron 1525
> /0WP007, BIOS A17 10/27/2009
> [ 144.446755] 0000000000000009 ffff8800aaaf99f8 ffffffff81720bf6
> ffff8800aaaf9a40
> [ 144.446759] ffff8800aaaf9a30 ffffffff810677cd ffff8800aaaf9ab0
> 0000000000000001
> [ 144.446763] ffff880036621800 ffff880036621af8 ffff8800b6cc4800
> ffff8800aaaf9a90
> [ 144.446767] Call Trace:
> [ 144.446770] [<ffffffff81720bf6>] dump_stack+0x45/0x56
> [ 144.446774] [<ffffffff810677cd>] warn_slowpath_common+0x7d/0xa0
> [ 144.446778] [<ffffffff8106783c>] warn_slowpath_fmt+0x4c/0x50
> [ 144.446802] [<ffffffffa01ad285>] ? intel_sdvo_get_hw_state+0x55/0xc0
> [i915]
> [ 144.446823] [<ffffffffa019751d>]
> intel_modeset_check_state+0x62d/0x780 [i915]
> [ 144.446846] [<ffffffffa0197705>] intel_set_mode+0x25/0x30 [i915]
> [ 144.446867] [<ffffffffa01977d6>]
> intel_release_load_detect_pipe+0xc6/0xf0 [i915]
> [ 144.446892] [<ffffffffa01bf8e9>] intel_tv_detect+0x359/0x500 [i9...

Read more...

Owen Williams (ywwg) wrote :

On the Dell XPS 13, kernel linux-image-3.16.7-031607 still has the bug. (To reproduce, I just close the lid and open it again. If the bug hits, the image never comes back and I have to kill X)

Gurvinder Dadyala (gurvinder) wrote :
Download full text (6.0 KiB)

Kernel info - Linux gurvinder-I1525 3.13.11-031311ckt13-generic #201412181938 SMP Thu Dec 18 19:40:21 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Following is what has happened.
After kernel installation when OS is booted, below message is there in dmesg

   77.202640] WARNING: CPU: 1 PID: 1473 at /home/apw/COD/linux/drivers/gpu/drm/i915/intel_display.c:9235 check_encoder_state+0x215/0x270 [i915]()
[ 77.202642] encoder's hw state doesn't match sw tracking (expected 0, found 1)
[ 77.202644] Modules linked in: ctr ccm rfcomm bnep bluetooth binfmt_misc snd_hda_codec_idt snd_hda_codec_hdmi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev arc4 iwl3945 snd_hda_intel iwlegacy snd_hda_codec mac80211 snd_hwdep snd_pcm i915 snd_page_alloc dell_wmi cfg80211 gpio_ich snd_seq_midi dell_laptop snd_seq_midi_event sparse_keymap dcdbas snd_rawmidi r852 snd_seq sm_common nand snd_seq_device dm_multipath coretemp nand_ecc snd_timer scsi_dh nand_bch drm_kms_helper snd bch joydev serio_raw nand_ids mtd drm soundcore parport_pc r592 i2c_algo_bit ppdev memstick lp lpc_ich parport video wmi mac_hid hid_generic usbhid hid psmouse firewire_ohci sdhci_pci sdhci ahci firewire_core libahci crc_itu_t sky2
[ 77.202705] CPU: 1 PID: 1473 Comm: Xorg Tainted: G W 3.13.11-031311ckt13-generic #201412181938
[ 77.202707] Hardware name: Dell Inc. Inspiron 1525 /0WP007, BIOS A17 10/27/2009
[ 77.202709] 0000000000002413 ffff8800a4df99a8 ffffffff81748f75 0000000000000007
[ 77.202713] ffff8800a4df99f8 ffff8800a4df99e8 ffffffff81069adc ffff8800ad3ee800
[ 77.202717] ffff8800ad3ee800 ffff8800ad3d82f8 0000000000000001 ffff8800ad3d8000
[ 77.202722] Call Trace:
[ 77.202726] [<ffffffff81748f75>] dump_stack+0x46/0x58
[ 77.202730] [<ffffffff81069adc>] warn_slowpath_common+0x8c/0xc0
[ 77.202734] [<ffffffff81069bc6>] warn_slowpath_fmt+0x46/0x50
[ 77.202755] [<ffffffffa0315535>] check_encoder_state+0x215/0x270 [i915]
[ 77.202777] [<ffffffffa0327e5d>] intel_modeset_check_state+0x5d/0xa0 [i915]
[ 77.202799] [<ffffffffa0327ec5>] intel_set_mode+0x25/0x30 [i915]
[ 77.202820] [<ffffffffa03282b5>] intel_release_load_detect_pipe+0xd5/0x100 [i915]
[ 77.202848] [<ffffffffa0350503>] intel_tv_detect+0x163/0x210 [i915]
[ 77.202856] [<ffffffffa01a1293>] drm_helper_probe_single_connector_modes+0x203/0x3a0 [drm_kms_helper]
[ 77.202873] [<ffffffffa012656c>] drm_mode_getconnector+0x41c/0x460 [drm]
[ 77.202886] [<ffffffffa0116e3a>] drm_ioctl+0x4da/0x600 [drm]
[ 77.202891] [<ffffffff8107d595>] ? set_current_blocked+0x15/0x20
[ 77.202907] [<ffffffffa0126150>] ? drm_mode_getcrtc+0xe0/0xe0 [drm]
[ 77.202911] [<ffffffff8107a04f>] ? recalc_sigpending+0x1f/0x60
[ 77.202915] [<ffffffff811dae85>] do_vfs_ioctl+0x75/0x2c0
[ 77.202919] [<ffffffff8107e339>] ? restore_altstack+0x19/0x30
[ 77.202922] [<ffffffff811db161>] SyS_ioctl+0x91/0xb0
[ 77.202926] [<ffffffff8175e52d>] system_call_fastpath+0x1a/0x1f
[ 77.202929] ---[ end trace 0c25a76bfe32ddde ]---

I played 720p mkv format video without any issues. However when i played Youtube video in chrome LCD screen goes black.
At this point you cannot do anything, As...

Read more...

tags: added: needs-reverse-bisect
removed: needs-bisect
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers